/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.pvm.internal.hibernate;

import java.util.HashSet;
import java.util.Set;

import org.hibernate.event.EventSource;
import org.hibernate.event.def.DefaultDeleteEventListener;
import org.hibernate.persister.entity.EntityPersister;

/**
 * DeleteEventListener with the fix for bug <a
 * href="http://opensource.atlassian.com/projects/hibernate/browse/HHH-2146"
 * >HHH-2146</a>. This can be removed once Hibernate 3.2.7 and/or 3.3.2 gets
 * released and Orchestra starts using it.
 */
public class DeleteEventListenerFixedWithHHH2146 extends DefaultDeleteEventListener {

  private static final long serialVersionUID = -8108064161380274609L;

  @Override
  @SuppressWarnings("unchecked")
  protected void deleteTransientEntity(final EventSource session, final Object entity, final boolean cascadeDeleteEnabled,
    final EntityPersister persister, final Set transientEntities) {
    // Check if transientEntities is null
    super.deleteTransientEntity(session, entity, cascadeDeleteEnabled, persister,
      transientEntities == null ? new HashSet() : transientEntities);
  }
}
